﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="listbox3.aspx.cs" Inherits="aspbasics1.pages.listbox3" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <link href="../site.css" rel="stylesheet" type="text/css" />    
		<script type="text/javascript" language="javascript">

	// Makes sure exactly 2 names are selected and enables
	// the Select button when this happens.
	function ChooseTwoNames(source, arguments) {        
		var numSelected = 0;
		var lst = document.getElementById("lstNames2");
		
		for( i=0; i<lst.length; i++) {
			if (lst.options[i].selected) {
				numSelected++;
			}
		}
		
		var btn = document.getElementById("btnSelName2");
		
		if (numSelected == 2) {
			arguments.IsValid = true;
			btn.disabled = false;
		}	
		else {
			arguments.IsValid = false;
			btn.disabled = true;
		}
	}

	</script>
    
</head>
<body>
    <!-- #Include File="header2.txt" -->

    <form id="form1" runat="server">
    <div>
	<p>Select button is disabled unless 2 names are selected. Uses a custom validator.</p>

    <table cellpadding="3" cellspacing="0">
    <tr>
        <td>
		<p><asp:Label ID="Label2" runat="server">Choose 2</asp:Label></p>
		<p>
        <asp:ListBox ID="lstNames2" runat="server" accessKey="q" SelectionMode="Multiple">
            <asp:ListItem Value="870238431">Argyle, Pam</asp:ListItem>
            <asp:ListItem Value="870473841">Benton, Nell</asp:ListItem>
            <asp:ListItem Value="870492831">Houghton, Ralph</asp:ListItem>
            <asp:ListItem Value="870531192">Jerslow, Michael</asp:ListItem>
            <asp:ListItem Value="870669231">Leher, Tim</asp:ListItem>
            <asp:ListItem Value="870602395">Miney, Sandra</asp:ListItem>
            <asp:ListItem Value="870045912">O&#39;Rielly, Tina</asp:ListItem>
            <asp:ListItem Value="870337865">Walters, Norm</asp:ListItem>
        </asp:ListBox>
		</p>
		<p>
        <asp:Button ID="btnSelName2" runat="server" Enabled="False" 
            onclick="btnSelName2_Click" 
            Text="Select"/>
        <asp:Button ID="btnReset2" runat="server" CausesValidation="False" 
            onclick="btnReset2_Click" Text="Reset"/>
		</p>
			</td>
		<td>
        <asp:TextBox ID="txtSelections2" runat="server" Height="136px" TextMode="MultiLine" Width="264px"></asp:TextBox>
			</td>
		</tr>
		</table>
    </div>
    <asp:CustomValidator ID="cvNumNames" runat="server" 
        ClientValidationFunction="ChooseTwoNames" ControlToValidate="lstNames2" 
        ErrorMessage="CustomValidator: Must choose exactly 2 names"></asp:CustomValidator>
    </form>
</body>
</html>
