﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="listboxbasics.aspx.cs" Inherits="aspbasics1.pages.listboxbasics" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ListBox Demo</title>
    <link href="../site.css" rel="stylesheet" type="text/css" />
</head>
<body>
		<!-- #Include File="header2.txt" -->

    <form id="form1" runat="server">
        <div>
        <p style="font-family: Verdana">
            <b>ListBox Basics</b></p>
        <p>
            Example 1 -
            Use buttons to see how things work then inspect the code. Notice how we represent the Value in the example. The Value must be 
            unique to ensure that the proper item is selected. In the example below, the 
            Text is the &quot;name&quot; and the Value is &quot;name-age&quot;. In this scenario, we want to put 
            the &quot;age&quot; in the Value, but that would not be unique. So, we use &quot;name-age&quot; (which still might not be unique).
        </p>
        <p>
            In the dropdown, &quot;Dave&quot; and &quot;Winston&quot; both have he same value. Select &quot;Winston&quot;, and then &quot;Display All Selected&quot; and note that &quot;Dave&quot; is displayed.</p>
		<asp:Panel ID="Panel1" runat="server" BorderColor="#333333" BorderStyle="Solid">
		<table>
            <tr>
                <td class="top">
					<table>
						<tr>
							<td>
								Select Name(s)
							</td>
						</tr>
						<tr>
							<td>
								<asp:ListBox ID="lstPlayers" runat="server" Height="114px" style="margin-top: 0px" 
											Width="71px" SelectionMode="Multiple">
									<asp:ListItem Value="Dave-33">Dave</asp:ListItem>
									<asp:ListItem Value="Rich-45">Rich</asp:ListItem>
									<asp:ListItem Value="Paul-16">Paul</asp:ListItem>
									<asp:ListItem Value="John-49">John</asp:ListItem>
									<asp:ListItem Value="Anna-18">Anna</asp:ListItem>
									<asp:ListItem Value="Dave-33">Winston</asp:ListItem>
								</asp:ListBox>
							</td>
						</tr>
					</table>
				</td>

                <td class="top">
                    <p><asp:Label ID="Label4" runat="server" Text="Display All: "></asp:Label>
						<asp:Button ID="btnDisplayAllSelected" runat="server" onclick="btnDisplayAllSelected_Click" Text="Selected" />&nbsp;
						<asp:Button ID="btnShowTextAndValue" runat="server" onclick="btnShowTextAndValue_Click" Text="In ListBox" />&nbsp;
					</p>
					<p>
						<asp:Label ID="Label1" runat="server" Text="Remove All Selected: "></asp:Label>
						&nbsp;<asp:Button ID="btnRemoveAllSelected" runat="server" onclick="btnRemoveAllSelected_Click" Text="via Reverse Loop" />
&nbsp;&nbsp;<asp:Button ID="btnRemoveAllSelected2" runat="server" onclick="btnRemoveAllSelected2_Click" Text="via Find Selected First" />
&nbsp;
					</p>
					<p>
						<asp:Button ID="btnClear" runat="server" onclick="btnClear_Click" Text="Clear Display" />&nbsp;
						<asp:Button ID="btnReset" runat="server" onclick="btnReset_Click" Text="Reset Form" />
					</p>
					<p>
						<asp:Button ID="btnAdd" runat="server" onclick="btnAdd_Click" Text="Add" />&nbsp; Text (name)
						<asp:TextBox ID="txtText" runat="server" Width="53px"></asp:TextBox>&nbsp;Age
						<asp:TextBox ID="txtValue" runat="server" Width="53px"></asp:TextBox>
                			, the Value will be stored as: &quot;name-age&quot;
					</p>
				</td>
            </tr>
        </table>
		</asp:Panel>

			<p>Example 2 - Illustrates removal of a single selection.</p>

		<asp:Panel ID="Panel2" runat="server" BorderColor="#333333" BorderStyle="Solid">
		<table>
            <tr>
                <td class="top">
					<table>
						<tr>
							<td>
								Select Name
							</td>
						</tr>
						<tr>
							<td>
								<asp:ListBox ID="lstPlayers2" runat="server" Height="114px" style="margin-top: 0px" 
											Width="71px" SelectionMode="Single">
									<asp:ListItem Value="Dave-33">Dave</asp:ListItem>
									<asp:ListItem Value="Rich-45">Rich</asp:ListItem>
									<asp:ListItem Value="Paul-45">Paul</asp:ListItem>
									<asp:ListItem Value="John-33">John</asp:ListItem>
									<asp:ListItem Value="Anna-92">Anna</asp:ListItem>
								</asp:ListBox>
							</td>
						</tr>
					</table>
				</td>

                <td class="top">
					<asp:Button ID="Button1" runat="server" onclick="btnRemoveOne_Click" Text="Remove Selected" />
                </td>
            </tr>
        </table>
		</asp:Panel>


        <asp:TextBox ID="txtMsg" runat="server" Height="167px" TextMode="MultiLine" Width="502px"></asp:TextBox>

        </div>
    </form>
</body>
</html>
