﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace aspbasics1.pages {
	public partial class listboxbasics : System.Web.UI.Page {
		protected void btnDisplayAllSelected_Click(object sender, EventArgs e) {
			String msg = String.Empty;

			foreach (ListItem li in lstPlayers.Items) {
				if (li.Selected) {
					// Find age
					int dashLoc = li.Value.IndexOf('-');
					String age = li.Value.Substring(dashLoc + 1);
					msg += "Text:" + li.Text + ", Value:" + li.Value + ", Selected:" + li.Selected +
						   ", Age:" + age + Environment.NewLine;
				}
			}
			txtMsg.Text = msg;
		}

		protected void btnShowTextAndValue_Click(object sender, EventArgs e) {
			String msg = String.Empty;
			foreach (ListItem li in lstPlayers.Items) {
				// Find age
				int dashLoc = li.Value.IndexOf('-');
				String age = li.Value.Substring(dashLoc + 1);
				msg += "Text:" + li.Text + ", Value:" + li.Value + ", Selected:" + li.Selected +
						", Age:" + age + Environment.NewLine;
			}
			txtMsg.Text = msg;
		}

		protected void btnClear_Click(object sender, EventArgs e) {
			txtMsg.Text = String.Empty;
		}

		//protected void btnRemoveAllSelected_Click(object sender, EventArgs e) {
		//	int count = 0;
		//	if (lstPlayers.SelectedIndex != -1) {
		//		for (int i = lstPlayers.Items.Count - 1; i >= 0; i--) {
		//			if (lstPlayers.Items[i].Selected) {
		//				lstPlayers.Items.Remove(lstPlayers.Items[i]);
		//				count++;
		//			}
		//		}
		//		txtMsg.Text = "" + count + " items removed";
		//	}
		//	else {
		//		txtMsg.Text = "Nothing selected";
		//	}

		//}
		//protected void btnRemoveAllSelected2_Click(object sender, EventArgs e) {
		//	int count = 0;
		//	List<ListItem> selectedItems = new List<ListItem>();
		//	if (lstPlayers.SelectedIndex != -1) {
		//		// Get selected items
		//		foreach (ListItem item in lstPlayers.Items) {
		//			if (item.Selected) {
		//				selectedItems.Add(item);
		//			}
		//		}
		//		// Loop over selected items and remove
		//		foreach (ListItem item in selectedItems) {
		//			lstPlayers.Items.Remove(item);
		//			count++;
		//		}
		//		txtMsg.Text = "" + count + " items removed";
		//	}
		//	else {
		//		txtMsg.Text = "Nothing selected";
		//	}
		//}

		protected void btnAdd_Click(object sender, EventArgs e) {
			ListItem li = new ListItem();
			li.Text = txtText.Text;
			li.Value = txtText.Text + "-" + txtValue.Text;

			lstPlayers.Items.Add(li);

			txtText.Text = String.Empty;
			txtValue.Text = String.Empty;

			txtMsg.Text = "Item added";
		}

		protected void btnReset_Click(object sender, EventArgs e) {
			Response.Redirect(Request.RawUrl);
		}

		protected void btnRemoveOne_Click(object sender, EventArgs e) {
			lstPlayers2.Items.Remove(lstPlayers2.SelectedItem);
		}

		protected void btnRemoveAllSelected_Click(object sender, EventArgs e) {
			int count = 0;
			if (lstPlayers.SelectedIndex != -1) {
				for (int i = lstPlayers.Items.Count - 1; i >= 0; i--) {
					if (lstPlayers.Items[i].Selected) {
						lstPlayers.Items.Remove(lstPlayers.Items[i]);
						count++;
					}
				}
				txtMsg.Text = "" + count + " items removed";
			}
			else {
				txtMsg.Text = "Nothing selected";
			}
		}

		protected void btnRemoveAllSelected2_Click(object sender, EventArgs e) {
			int count = 0;
			List<ListItem> selectedItems = new List<ListItem>();
			if (lstPlayers.SelectedIndex != -1) {
				// Get selected items
				foreach (ListItem item in lstPlayers.Items) {
					if (item.Selected) {
						selectedItems.Add(item);
					}
				}
				// Loop over selected items and remove
				foreach (ListItem item in selectedItems) {
					lstPlayers.Items.Remove(item);
					count++;
				}
				txtMsg.Text = "" + count + " items removed";
			}
			else {
				txtMsg.Text = "Nothing selected";
			}
		}
	}
}