﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace aspbasics1.pages
{
	public partial class formattingStrings : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			string name = "Alton Reid";
			int age = 33;
			double weight = 187.438982342;
			double salary = 67882.35;
			double x = 889239.92736972621;
			double y = 0.334;

			// Example 1
			String msg = "Example 1: ";
			msg += "String.Format(\"Name: {0}, Age: {1}, Weight: {2}, Salary: {3}\"," +
				"name, age, weight, salary);";
			txtMsg.Text = msg + Environment.NewLine + Environment.NewLine;

			msg = String.Format("-->Name: {0}, Age: {1}, Weight: {2}, Salary: {3}",
				name, age, weight, salary);
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			// Example 2
			msg = "Example 2: ";
			msg += "String.Format(\"Salary: {0:c}\", salary);";
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			msg = String.Format("-->Salary: {0:c}", salary);
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			// Example 3
			msg = "Example 3: ";
			msg += "String.Format(\"Weight: {0:0.000}\", weight);";
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			msg = String.Format("-->Weight: {0:0.000}", weight);
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			// Example 4
			msg = "Example 4: ";
			msg += "String.Format(\"Weight: {0}\", weight.ToString(\"0.000\"));";
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			msg = String.Format("-->Weight: {0}", weight.ToString("0.000"));
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			// Example 5
			msg = "Example 5: ";
			msg += "String.Format(\"x: {0}, x: {0:0,0.00}\", x);";
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			msg = String.Format("-->x: {0}, x: {0:0,0.00}", x);
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			// Example 6
			msg = "Example 6: ";
			msg += "String.Format(\"y: {0}, y:{0:#.00}, y: {0:0.00}\", y);";
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			msg = String.Format("-->y:{0}, y: {0:#.00}, y: {0:0.00}", y);
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			// Example 7
			double[] vals1 = { 22.34234, 535.23433, 3.8584 };
			double[] vals2 = { 333.543523, 2.343, 66.3283 };
			string[] cities = { "New York City", "Chicago", "San Francisco" };
			msg = "Example 7: ";
			msg += "String.Format(\"{0,8:0.00}{1,8:0.00} - {2,15}\", vals1[i], vals2[i], cities[i]);";
			txtMsg.Text += msg + Environment.NewLine + Environment.NewLine;

			for(int i=0; i<vals1.Length; i++) {
				msg = String.Format("{0,8:0.00}{1,8:0.00} - {2,-15}", vals1[i], vals2[i], cities[i]);
				txtMsg.Text += msg + Environment.NewLine;

			}
			txtMsg.Text += Environment.NewLine + Environment.NewLine;


		}
	}
}